# DataExchange
TKXSBase
HeaderSection

# HeaderSection_FileDescription Class Reference

`#include <HeaderSection_FileDescription.hxx>`

## Public Member Functions

Standard_EXPORT | HeaderSection_FileDescription ()
| Returns a FileDescription .
Standard_EXPORT void | Init (const Handle(Interface_HArray1OfHAsciiString)&aDescription, const Handle(TCollection_HAsciiString)&aImplementationLevel)
Standard_EXPORT void | SetDescription (const Handle(Interface_HArray1OfHAsciiString)&aDescription)
Standard_EXPORT Handle_Interface_HArray1OfHAsciiString | Description () const
Standard_EXPORT Handle_TCollection_HAsciiString | DescriptionValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbDescription () const
Standard_EXPORT void | SetImplementationLevel (const Handle(TCollection_HAsciiString)&aImplementationLevel)
Standard_EXPORT Handle_TCollection_HAsciiString | ImplementationLevel () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_HArray1OfHAsciiString | description
Handle_TCollection_HAsciiString | implementationLevel

## Constructor & Destructor Documentation

Standard_EXPORT HeaderSection_FileDescription::HeaderSection_FileDescription | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Interface_HArray1OfHAsciiString HeaderSection_FileDescription::Description | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString HeaderSection_FileDescription::DescriptionValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const HeaderSection_FileDescription::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString HeaderSection_FileDescription::ImplementationLevel | ( |  | ) | const

Standard_EXPORT void HeaderSection_FileDescription::Init | ( | const Handle(Interface_HArray1OfHAsciiString)& | aDescription,
|  | const Handle(TCollection_HAsciiString)& | aImplementationLevel
| ) |

Standard_EXPORT Standard_Integer HeaderSection_FileDescription::NbDescription | ( |  | ) | const

Standard_EXPORT void HeaderSection_FileDescription::SetDescription | ( | const Handle(Interface_HArray1OfHAsciiString)& | aDescription | ) |

Standard_EXPORT void HeaderSection_FileDescription::SetImplementationLevel | ( | const Handle(TCollection_HAsciiString)& | aImplementationLevel | ) |

## Field Documentation

Handle_Interface_HArray1OfHAsciiString HeaderSection_FileDescription::description `[private]`

Handle_TCollection_HAsciiString HeaderSection_FileDescription::implementationLevel `[private]`

The documentation for this class was generated from the following file:

- HeaderSection_FileDescription.hxx